# mcp3021.py
# 10-bit ADC

from utils import I2C_com
from machine import Pin

class MCP3021:
    def __init__(self, address = 0x48, scl = Pin(22), sda = Pin(21)):
        self.i2c = I2C_com(address, scl, sda)

    def read(self):
        rd = self.i2c.readBlock(0, 2)
        data = (rd[0] << 8 | rd[1]) >> 2
        return data
        
